/*This file is part of SoftSERVE.
 *
 *   SoftSERVE is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   SoftSERVE is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with SoftSERVE.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FOURINTNF_H_
#define FOURINTNF_H_

double NfI4E0y(double w, double s6, double x, double c);
double NfI4EM1y(double w, double s6, double x, double c);
double NfI4EM2y(double w, double s6, double x, double c);

double NfI4E0t(double w, double s6, double s5, double c);
double NfI4EM1t(double w, double s6, double s5, double c);
double NfI4EM2t(double w, double s6, double s5, double c);

double NfI4E0u(double w, double s6, double z, double c);
double NfI4EM1u(double w, double s6, double z, double c);
double NfI4EM2u(double w, double s6, double z, double c);

#endif /* FOURINTNF_H_ */
