/*This file is part of SoftSERVE.
 *
 *   SoftSERVE is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   SoftSERVE is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with SoftSERVE.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FOURINT_H_
#define FOURINT_H_

double I4EM2rx(double r, double x, double s, double s6);
double I4EM1rx(double r, double x, double s, double s6);
double I4E0rx(double r, double x, double s, double s6);

double I4EM2rc(double c, double r, double s, double s6);
double I4EM1rc(double c, double r, double s, double s6);
double I4E0rc(double c, double r, double s, double s6);

double I4EM2rs(double r, double s, double s5, double s6);
double I4EM1rs(double r, double s, double s5, double s6);
double I4E0rs(double r, double s, double s5, double s6);

double I4EM2xc(double c, double x, double s, double s6);
double I4EM1xc(double c, double x, double s, double s6);
double I4E0xc(double c, double x, double s, double s6);

double I4EM2xs(double x, double s, double s5, double s6);
double I4EM1xs(double x, double s, double s5, double s6);
double I4E0xs(double x, double s, double s5, double s6);

double I4EM2cs(double c, double s, double s5, double s6);
double I4EM1cs(double c, double s, double s5, double s6);
double I4E0cs(double c, double s, double s5, double s6);

#endif /* FOURINT_H_ */
